//*****************************************************************************
//*****************************************************************************
//  FILENAME:   DigitalIO.h
//  Version: 1.0, 2006/10/25 
//  Generated by Andy Kiser
//
//  DESCRIPTION:  Processing digital inputs/outputs controlled by USB
//
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//*****************************************************************************
//*****************************************************************************
#include <m8c.h>

//-----------------------------------------------------------------------------
// Initialize Digital Input / Output pins
//-----------------------------------------------------------------------------
void DigitalIO_Start(void);

//-----------------------------------------------------------------------------
// Prepare for Suspend
//-----------------------------------------------------------------------------
void DigitalIO_Suspend(void);

//-----------------------------------------------------------------------------
// Resume from Suspend
//-----------------------------------------------------------------------------
void DigitalIO_Resume(void);

//-----------------------------------------------------------------------------
// ShowUp state machine
// call this function once every millisecond
//-----------------------------------------------------------------------------
void FSM_LEDmode (void);

//-----------------------------------------------------------------------------
// Function to set the value of the 8 digital outputs
//-----------------------------------------------------------------------------
void DigitalOut_Set (BYTE msk_and, BYTE msk_or, BYTE msk_xor);

//-----------------------------------------------------------------------------
// Function returns value of the 8 digital inputs
//-----------------------------------------------------------------------------
BYTE DigitalIn_Get (void);

// end of file DigitalIO.h
